Get all formula plans
get
/crmRestApi/resources/11.13.18.05/subscriptionFormulaPlans
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- FormulaPlansPuidAltKey Finds the formula plan with the specified alternate key.
Finder Variables- FormulaPlanPuid; string; The public unique identifier of the formula plan.
- PrimaryKey Finds the formula plan with the specified primary key.
Finder Variables- FormulaPlanId; integer; The unique identifier of the formula plan.
- FormulaPlansPuidAltKey Finds the formula plan with the specified alternate key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CreatedBy; string; Indicates the user who created the row.
- CreationDate; string; The date when the record was created.
- FormulaPlanId; integer; The unique identifier of the formula plan.
- FormulaPlanPuid; string; The public unique identifier of the formula plan.
- LastUpdateDate; string; The date when the record was last updated.
- LastUpdateLogin; string; The login identifier used for the last update.
- LastUpdatedBy; string; Indicates the user who last updated the row.
- PriceListId; integer; The unique identifier of the price list used for the formula plan.
- PriceListItemId; integer; The unique identifier of the price list item associated with the rate plan.
- RatePlanId; integer; The unique identifier of the rate plan associated with the formula plan.
- Status; string; The status of the formula plan.
- VersionNumber; integer; The version number of the formula plan.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : subscriptionFormulaPlans
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : subscriptionFormulaPlans-item-response
Type:
Show Source
object-
CreatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the record was created. -
formulaPlanCharges: array
Formula Charges
Title:
Formula ChargesThe Formula Plan Charge resource lets you view, create, update and delete formula plan charges. Formula plan charges are collections of business entities that store reusable formulas used to derive calculation values. -
FormulaPlanId: integer
(int64)
Read Only:
trueThe unique identifier of the formula plan. -
FormulaPlanPuid: string
Maximum Length:
120The public unique identifier of the formula plan. -
formulaRates: array
Formula Rate Variables
Title:
Formula Rate VariablesThe formula rates resources lets you view, create, delete, and update formula rates. Formula rates are collections of business entities that store reusable formulas used to derive calculation values. -
formulaSteps: array
Formula Steps
Title:
Formula StepsA formula step represents a unit of logic within a formula plan that defines how a value is calculated or derived during pricing. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who last updated the row. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login identifier used for the last update. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PriceListId: integer
(int64)
The unique identifier of the price list used for the formula plan.
-
PriceListItemId: integer
(int64)
The unique identifier of the price list item associated with the rate plan.
-
RatePlanId: integer
(int64)
The unique identifier of the rate plan associated with the formula plan.
-
Status: string
Maximum Length:
30The status of the formula plan. -
VersionNumber: integer
(int64)
The version number of the formula plan.
Nested Schema : Formula Charges
Type:
arrayTitle:
Formula ChargesThe Formula Plan Charge resource lets you view, create, update and delete formula plan charges. Formula plan charges are collections of business entities that store reusable formulas used to derive calculation values.
Show Source
Nested Schema : Formula Rate Variables
Type:
arrayTitle:
Formula Rate VariablesThe formula rates resources lets you view, create, delete, and update formula rates. Formula rates are collections of business entities that store reusable formulas used to derive calculation values.
Show Source
Nested Schema : Formula Steps
Type:
arrayTitle:
Formula StepsA formula step represents a unit of logic within a formula plan that defines how a value is calculated or derived during pricing.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : subscriptionFormulaPlans-formulaPlanCharges-item-response
Type:
Show Source
object-
ChargeDefinitionCode: string
Maximum Length:
30The unique charge definition code for the adjustment. -
ChargeDefinitionId: integer
(int64)
The unique identifier of the charge definition for the adjustment.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the record was created. -
FormulaChargeId: integer
(int64)
Read Only:
trueThe unique identifier of the formula charges. -
FormulaChargeType: string
Maximum Length:
30The formula charge type used such as Billable, Revenue, or Prepared Variable. -
FormulaPlanId: integer
(int64)
The unique identifier of the formula plan of associated with this charge.
-
FormulaPlanPuid: string
Read Only:
trueMaximum Length:120The unique identifier of the formula plan associated with this charge. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who updated the record last. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login of the user who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : subscriptionFormulaPlans-formulaRates-item-response
Type:
Show Source
object-
CalculationMethodCode: string
Title:
Rate TypeMaximum Length:15The calculation method used for the formula negotiated value, such as VALUE, MATRIX, or TIER. -
ChargeDefinitionCode: string
Maximum Length:
30The charge definition code for the adjustment. -
ChargeDefinitionId: integer
(int64)
The unique identifier of the charge definition for the adjustment.
-
CPITierAdjustmentFlag: boolean
Maximum Length:
1Indicates whether CPI is applied to the tier. -
CPIValueAdjustmentFlag: boolean
Maximum Length:
1Indicates whether CPI is applied to the value. -
CreatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the record was created. -
DynamicMatrixClassId: integer
(int64)
The unique identifier of the dynamic matrix class. Populated only when the calculation method is MATRIX.
-
DynamicMatrixId: integer
(int64)
The unique identifier of the dynamic matrix. Populated only when the calculation method is MATRIX.
-
FormulaPlanId: integer
(int64)
The unique identifier of the formula plan associated with the pricing.
-
FormulaPlanPuid: string
Read Only:
trueMaximum Length:120The unique identifier of the formula plan associated with this rate. -
formulaRateTiers: array
Tier Headers VO
Title:
Tier Headers VOFormula rate tiers are collections of business entities. They store reusable formulas used to derive calculation values. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who last updated the row. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login identifier used for the last update. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
RateCode: string
Title:
VariableMaximum Length:200The negotiated rate code that identifies the charge component used for formula-based pricing. -
RateCodeName: string
Maximum Length:
200The name of the negotiated rate code used for formula-based pricing. -
RateDescription: string
Title:
DescriptionMaximum Length:4000The description of the negotiated rate code used in formula-based pricing. -
RateVariableId: integer
(int64)
The unique identifier of the formula negotiated value.
-
RateVariablePuid: string
Maximum Length:
120The public unique identifier of the rate variable. This is used to identify the formula negotiated value record. -
TieredPricingHeaderId: integer
(int64)
The unique identifier of the tiered pricing header.
-
Value: number
Title:
Base ValueThe value used for the formula negotiated value. Populated only when the calculation method is VALUE. -
ValueType: string
Maximum Length:
15The type of value, such as percentage or amount, based on the calculation method.
Nested Schema : Tier Headers VO
Type:
arrayTitle:
Tier Headers VOFormula rate tiers are collections of business entities. They store reusable formulas used to derive calculation values.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : subscriptionFormulaPlans-formulaRates-formulaRateTiers-item-response
Type:
Show Source
object-
ChargeDefinitionCode: string
Maximum Length:
120The code of the charge definition, if involved in negotiation. -
ChargeId: integer
(int64)
Identifier of the charge, if involved in negotiation.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the record was created. -
EntityId: integer
(int64)
Identifier of the entity to which the Tiered Pricing is related.
-
EntityTypeCode: string
Maximum Length:
60The type of entity to which this Tiered Pricing is related. It may be RATE_VARIABLE_ID or custom ones defined. -
formulaRateTierLines: array
Tier Lines VO
Title:
Tier Lines VOFormula rate tier lines define the individual tier ranges and calculation values within a formula rate tier. -
GraduatedCode: string
Title:
Apply Adjustment ToMaximum Length:30Tiered Pricing logic values are ALL_APPLICABLE_TIERS or HIGHEST_TIER. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who updated the record last. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login of the user who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
RateVariablePuid: string
Read Only:
trueMaximum Length:120The unique identifier of the rate variable associated to this rate tier. -
SubscriptionProductId: integer
(int64)
Identifier of the subscription product, if involved in negotiation.
-
TieredHeaderId: integer
(int64)
Read Only:
trueThe unique identifier of tier headers.
Nested Schema : Tier Lines VO
Type:
arrayTitle:
Tier Lines VOFormula rate tier lines define the individual tier ranges and calculation values within a formula rate tier.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : subscriptionFormulaPlans-formulaRates-formulaRateTiers-formulaRateTierLines-item-response
Type:
Show Source
object-
CreatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the record was created. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who updated the record last. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MaximumValue: number
Title:
Less Than or Equal ToIndicates the maximum value for the tier line. -
MinimumValue: number
Title:
More ThanIndicates the minimum value for the tier line. -
TieredLineId: integer
(int64)
Read Only:
trueThe unique identifier of tier lines. -
TierValue: number
Title:
ValueIndicates the value used in conjunction with the Tier Definition.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : subscriptionFormulaPlans-formulaSteps-item-response
Type:
Show Source
object-
BalanceCode: string
Title:
Balance CodeMaximum Length:30The alternate identifier of the balance code. -
BalanceCodeId: integer
(int64)
The unique identifier of the balance code.
-
ChargeDefinitionCode: string
Maximum Length:
30The charge definition code for the adjustment. -
ChargeDefinitionId: integer
(int64)
The unique identifier of the charge definition for the adjustment.
-
ChargeOutcomeFlag: boolean
Title:
Update ChargeMaximum Length:1Indicates the charge outcome of the formula step. -
CreatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the record was created. -
FormulaExpression: string
Title:
Formula BuilderMaximum Length:4000The expression used to define the formula step. -
FormulaPlanId: integer
(int64)
The unique identifier of the formula plan associated with the formula step.
-
FormulaPlanPuid: string
Read Only:
trueMaximum Length:120The unique identifier of the formula plan associated with this formula step. -
FormulaStepId: integer
(int64)
The unique identifier of the formula step.
-
FormulaStepPuid: string
Maximum Length:
120The public unique identifier of the formula step. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who last updated the row. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login identifier used for the last update. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NegotiableFlag: boolean
Maximum Length:
1Indicates if the formula step is negotiable. -
OutcomeVariable: string
Title:
Step NameMaximum Length:30The name of the outcome variable used in the formula step. -
SequenceNumber: integer
(int64)
Title:
Step SequenceThe sequence number that determines the order in which the step is executed. -
StepName: string
Maximum Length:
200The name of the formula step.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source